Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.egategui.projectfile
Class Installer

    java.lang.Object
      org.openide.util.SharedClassObject
          org.openide.modules.ModuleInstall
              com.stc.swift.egategui.projectfile.Installer

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

    public class Installer

extends org.openide.modules.ModuleInstall

Repository Filer Module installer

Version:
  $Revision: 1.3 $
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `mFolderName` The working data folder

Constructor Summary
`Installer()`

Method Summary
`void` | `installed()` Do the "one-off" functions, then called restored().
`void` | `restored()` Do the "one-off" functions called to restored.
`void` | `uninstalled()` Remove the stuff we installed.

Methods inherited from class org.openide.modules.ModuleInstall
`close, closing, updated, validate`

Methods inherited from class org.openide.util.SharedClassObject
`addPropertyChangeListener, equals, findObject, findObject, hashCode, readExternal, removePropertyChangeListener, writeExternal`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mFolderName

    public static java.lang.String mFolderName

  The working data folder

Constructor Detail

### Installer

    public Installer()

Method Detail

### installed

    public void installed()

  Do the "one-off" functions, then called restored().

  Overrides:
    `installed` in class `org.openide.modules.ModuleInstall`

### restored

    public void restored()

  Do the "one-off" functions called to restored.

  Overrides:
    `restored` in class `org.openide.modules.ModuleInstall`

### uninstalled

    public void uninstalled()

  Remove the stuff we installed.

  Overrides:
    `uninstalled` in class `org.openide.modules.ModuleInstall`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.